The endpoints described in this guide are currently in beta mode.
List cards
GET
/v2/cardsRequest
Use this request to get a list of cards on an account. Results are ordered alphabetically by card name. For every card, you’ll get a list of details such as its name, the budget it’s linked to, its current state, and more. These don’t include its PAN or CVV.Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)The maximum number of results to return. By default, this is set to
100.Allowable values: [ 1 .. 1000 ]The number of items to skip before returning results. By default, this is set to
0.Allowable values: A valid integerThe state of the card. Use commas to pass multiple values. Has to be URL encoded. For example,
state=ACTIVE%2CSUSPENDED.Allowable values: ACTIVE, REPLACED, TERMINATED, SUSPENDED, UNACTIVATEDThe order in which to return the results. By default, this is set to
asc.Allowable values: asc, descThe earliest date after which to retrieve records (inclusive).Allowable values: Format:
YYYY-MM-DDThe latest date until which to retrieve records to (inclusive).Allowable values: Format:
YYYY-MM-DDThe term to search records for. For example,
search=Jane.Allowable values: A valid stringThe ID of the budget that you want to filter results by.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the card that you want to filter results by.Allowable values: An existing
cardId (≤ 36 characters)An array of card IDs that you want to filter results by.Allowable values: An array of existing
cardIds (≤ 36 characters)An array of person IDs that you want to filter results by.Allowable values: An array of existing
personIds (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response. By default, this endpoint returns all cards associated with an account, regardless of their state. This includes cards in all states. To filter cards by specific states, use the state query parameter.
Retrieve a card
GET
/v2/cards/{cardId}Request
Use this request to get details about a given card. These include its name, the budget it’s linked to, and its current state, but not its PAN and CVV.include parameter to retrieve additional information, such as the card’s spending and transaction limits.
Path parameters
The ID of the card for which you want to get details.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Optional embeds to include when returning card details.Allowable values:
limits, cardProductResponse
If your request is successful, you’ll receive a200 response.
Retrieve a card’s sensitive data
GET
/v2/cards/{cardId}/access-tokenRequest
Use this request to retrieve an access token, which you can use to get a card’s sensitive date (PAN and CVV) via Marqeta’s sensitive data widget service.Access tokens expire after 5 minutes.
Path parameters
The ID of the card for which you want to get details.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response.